Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Toolboxes

Retrieve a specific version of a toolbox

GET /toolboxes/{name}/versions/{version}

Retrieves the specified version of a toolbox by name and version identifier.

Parametri del percorso

name string necessario

The name of the toolbox.

version string necessario

The version identifier to retrieve.

Parametri di query

api-version string necessario

The API version to use for this operation.

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
metadata object | null necessario

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string
id string necessario

The unique identifier of the toolbox version.

name string necessario

The name of the toolbox.

version string necessario

The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.

description string

A human-readable description of the toolbox.

created_at integer necessario

The Unix timestamp (seconds) when the toolbox version was created.

tools ToolboxTool[] necessario

The list of tools contained in this toolbox version.

skills ToolboxSkill[]

The list of skill sources included in this toolbox version.

policies ToolboxPolicies

Policy configuration for a toolbox, including content safety and other governance settings.

rai_config RaiConfig

Configuration for Responsible AI (RAI) content filtering and safety features.

rai_policy_name string necessario

The name of the RAI policy to apply.

invocations_moderation RaiInvocationModeration

Declares where request/response text lives so content-safety guardrails can extract it.

input_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Uno qualsiasi dei seguenti:
string
enum
jsontext
output_content_type string | enum

How an invocations request/response body is parsed to locate text for content-safety moderation.

Uno qualsiasi dei seguenti:
string
enum
jsontext
response_mode string | enum necessario

Author-declared response shape for the invocations protocol.

Uno qualsiasi dei seguenti:
string
enum
non_streamingstreamingboth
input_paths string[]

Path(s) to user text in the REQUEST body. Required when input_content_type is json.

output_paths string[]

Path(s) to agent text in a NON-STREAMING response body. Required when response_mode is non_streaming/both and output_content_type is json.

stream_selectors RaiSseTextSelector[]

One SSE event->field selector per event type carrying text. Required when response_mode is streaming/both and output_content_type is json.

Client error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corpo

Content-Type: application/json
error OpenAI.Error necessario
code string | null necessario
message string necessario
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Uno qualsiasi dei seguenti:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string necessario

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Richiedi

GET /toolboxes/{name}/versions/{version} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026